//
//	ChildBillSaveOrUpdateModel.swift
//
//	Create by 云霄 曹 on 15/1/2018
//	Copyright © 2018. All rights reserved.

import Foundation 
import SwiftyJSON


open class ChildBillSaveOrUpdateModel : NSObject{

	var beginAttachmentId : String!
	var dept : UCN!
	var endAttachmentId : String!
	var executeMateriels : [AnyObject]!
	var executeNo : String!
	var executeOutsources : [AnyObject]!
	var hasOut : Bool!
	var hasPaid : Bool!
	var labourfee : String!
	var materielfee : Int!
	var note : String!
	var owner : String!
	var ownerTime : String!
	var processBegin : String!
	var processEnd : String!
	var processMode : String!
	var processor : String!
	var property1 : String!
	var property2 : String!
	var reason : String!
	var state : String!
	var workid : String!

	func toDictionary() -> [String:Any]
	{
		var dictionary = [String:Any]()
		if beginAttachmentId != nil{
			dictionary["beginAttachmentId"] = beginAttachmentId
		}
		if dept != nil{
            dictionary["dept"] = dept.toDictionary()
            
		}
		if endAttachmentId != nil{
			dictionary["endAttachmentId"] = endAttachmentId
		}
		if executeMateriels != nil{
			dictionary["executeMateriels"] = executeMateriels
		}
		if executeNo != nil{
			dictionary["executeNo"] = executeNo
		}
		if executeOutsources != nil{
			dictionary["executeOutsources"] = executeOutsources
		}
		if hasOut != nil{
			dictionary["hasOut"] = hasOut
		}
		if hasPaid != nil{
			dictionary["hasPaid"] = hasPaid
		}
		if labourfee != nil{
			dictionary["labourfee"] = labourfee
		}
		if materielfee != nil{
			dictionary["materielfee"] = materielfee
		}
		if note != nil{
			dictionary["note"] = note
		}
		if owner != nil{
			dictionary["owner"] = owner
		}
		if ownerTime != nil{
			dictionary["ownerTime"] = ownerTime
		}
		if processBegin != nil{
			dictionary["processBegin"] = processBegin
		}
		if processEnd != nil{
			dictionary["processEnd"] = processEnd
		}
		if processMode != nil{
			dictionary["processMode"] = processMode
		}
		if processor != nil{
			dictionary["processor"] = processor
		}
		if property1 != nil{
			dictionary["property1"] = property1
		}
		if property2 != nil{
			dictionary["property2"] = property2
		}
		if reason != nil{
			dictionary["reason"] = reason
		}
		if state != nil{
			dictionary["state"] = state
		}
		if workid != nil{
			dictionary["workid"] = workid
		}
		return dictionary
	}
}
