//
//  SBSkipTool.swift
//  LanStoreBusiness
//
//  Created by 飞迪1 on 2018/7/20.
//  Copyright © 2018年 勾芒. All rights reserved.
//
import SwiftyJSON
import Foundation
class SBSkipTool {
    static let share = SBSkipTool()
    func skipViewController(parameters:[AnyHashable : Any]?){
        if parameters == nil{
            return
        }
        let sourceType:String = (parameters?["sourceType"] as? String) ?? ""
        let uuid:String = (parameters?["id"] as? String) ?? ""
        let state:String = (parameters?["workBillState"] as? String) ?? ""
        switch sourceType {
        case "workExecute", "workExecuteResponse":
            self.toBillVC(state: state, uuid: uuid)
//            let childBillVc = RepairOrderEditSonOrderViewController.instantiateViewController(.Function) as! RepairOrderEditSonOrderViewController
//            childBillVc.billModel = BillDetailExecute(fromJson:"")
//            childBillVc.billModel.uuid = uuid
//            zj_getCurrentVC()?.pushVC(childBillVc)
        case "workBill":
            if uuid != ""{
                let detailBgController = UIStoryboard(name: "Function", bundle: nil).instantiateViewController(withIdentifier: RepairOrderDetailBgController.name()) as! RepairOrderDetailBgController
                detailBgController.billModel = RepairOrderRecord(fromJson: JSON(rawValue: ""))
                detailBgController.billModel.uuid = uuid
                zj_getCurrentVC()?.pushVC(detailBgController)
            }
        default:
            break
        }
    }
    func toBillVC(state:String,uuid:String){
        let vc = TodoViewController.instantiateViewController(.Function) as! TodoViewController
        zj_getCurrentVC()?.pushVC(vc)
        switch state {
        case "submit", "init":
            let lindanVC = HomeLinDanController.instantiateViewController(.Function) as! HomeLinDanController
            lindanVC.model = TodoData(fromJson: JSON(rawValue: ""))
            lindanVC.model.entityUuid = uuid
            zj_getCurrentVC()?.pushVC(lindanVC)
        case "drew":
            let childBillVc = RepairOrderEditSonOrderViewController.instantiateViewController(.Function) as! RepairOrderEditSonOrderViewController
            childBillVc.billModel = BillDetailExecute(fromJson: JSON(rawValue: ""))
            childBillVc.billModel.uuid = uuid
            zj_getCurrentVC()?.pushVC(childBillVc)
        case "done":
            let childBillVc = RepairOrderChildBillDetailViewController.instantiateViewController(.Function) as! RepairOrderChildBillDetailViewController
            childBillVc.billModel = BillDetailExecute(fromJson: JSON(rawValue: ""))
            childBillVc.billModel.uuid = uuid
            zj_getCurrentVC()?.pushVC(childBillVc)
        default:
            break
        }
    }
}
func zj_getCurrentVC() -> UIViewController? {
    if let vc = kWindow.rootViewController {
        var currentVC = vc
        if let presentedVC = currentVC.presentedViewController {
            currentVC = presentedVC
        }
        
        if currentVC.isKind(of: UITabBarController.self) {
            currentVC = (currentVC as! UITabBarController).selectedViewController!
        }
        
        if currentVC.isKind(of: UINavigationController.self) {
            currentVC = (currentVC as! UINavigationController).visibleViewController!
        }
        
        return currentVC
    }else{
        return nil
    }
}
